Package org.bukkit

# Enum Class Art

java.lang.Object
java.lang.Enum<Art>
org.bukkit.Art

All Implemented Interfaces:
  `Serializable`, `Comparable<Art>`, `Constable`, `Keyed`

public enum Art extends Enum<Art> implements Keyed
Represents the art on a painting

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALBAN`
`AZTEC`
`AZTEC2`
`BOMB`
`BURNING_SKULL`
`BUST`
`COURBET`
`CREEBET`
`DONKEY_KONG`
`FIGHTERS`
`GRAHAM`
`KEBAB`
`MATCH`
`PIGSCENE`
`PLANT`
`POINTER`
`POOL`
`SEA`
`SKELETON`
`SKULL_AND_ROSES`
`STAGE`
`SUNSET`
`VOID`
`WANDERER`
`WASTELAND`
`WITHER`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlockHeight()`
Gets the height of the painting, in blocks
`int`
`getBlockWidth()`
Gets the width of the painting, in blocks
`static @Nullable Art`
`getById(int id)`
Deprecated.
Magic value
`static @Nullable Art`
`getByName(@NotNull String name)`
Get a painting by its unique name
`int`
`getId()`
Deprecated.
Magic value
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`static Art`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Art[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### KEBAB

public static final Art KEBAB

### AZTEC

public static final Art AZTEC

### ALBAN

public static final Art ALBAN

### AZTEC2

public static final Art AZTEC2

### BOMB

public static final Art BOMB

### PLANT

public static final Art PLANT

### WASTELAND

public static final Art WASTELAND

### POOL

public static final Art POOL

### COURBET

public static final Art COURBET

### SEA

public static final Art SEA

### SUNSET

public static final Art SUNSET

### CREEBET

public static final Art CREEBET

### WANDERER

public static final Art WANDERER

### GRAHAM

public static final Art GRAHAM

### MATCH

public static final Art MATCH

### BUST

public static final Art BUST

### STAGE

public static final Art STAGE

### VOID

public static final Art VOID

### SKULL_AND_ROSES

public static final Art SKULL_AND_ROSES

### WITHER

public static final Art WITHER

### FIGHTERS

public static final Art FIGHTERS

### POINTER

public static final Art POINTER

### PIGSCENE

public static final Art PIGSCENE

### BURNING_SKULL

public static final Art BURNING_SKULL

### SKELETON

public static final Art SKELETON

### DONKEY_KONG

public static final Art DONKEY_KONG

## Method Details

### values

public static Art[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Art valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getBlockWidth

public int getBlockWidth()
Gets the width of the painting, in blocks

Returns:
  The width of the painting, in blocks

### getBlockHeight

public int getBlockHeight()
Gets the height of the painting, in blocks

Returns:
  The height of the painting, in blocks

### getId

@Deprecated public int getId()
Deprecated.
Magic value
Get the ID of this painting.

Returns:
  The ID of this painting

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### getById

@Deprecated @Nullable public static @Nullable Art getById(int id)
Deprecated.
Magic value
Get a painting by its numeric ID

Parameters:
  `id` - The ID
Returns:
  The painting

### getByName

@Nullable public static @Nullable Art getByName(@NotNull @NotNull String name)
Get a painting by its unique name

This ignores underscores and capitalization

Parameters:
  `name` - The name
Returns:
  The painting